Bug 1254803 - [Docs] [Networking] OpenStack Docs do not list Network VLAN/IP Requirements
[Docs] [Networking] OpenStack Docs do not list Network VLAN/IP Requirements
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: z1
: 7.0 (Kilo)
Assigned To: Martin Lopes
Dan Macpherson
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 18:20 EDT by david.costakos
Modified: 2016-11-08 00:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-08 00:09:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description david.costakos 2015-08-18 18:20:50 EDT
Description of problem:
The RHEL OSP 7 and RHEL OSP 7 director documentation are missing requirement details on the number of networks required to do deployments (apparently it is 6) and the number of VIPs required for HA.  These should be in the requirements section of the document along with every thing else, called out specifically so they are easy to setup and easy to plan for.

Version-Release number of selected component (if applicable):
7.0

How reproducible:
always

Steps to Reproduce:
1. read director docs in prerequisite sections
2.
3.

Actual results:


Expected results:


Additional info:
This information should be documented for both our external customers and internal teams so we can adequately plan for deployments.  Apparently it may be possible to deploy without 6 separate networks, but very difficult.
Comment 3 Martin Lopes 2015-08-20 02:02:44 EDT
Determining whether the content here adequately addresses this requirement: 

https://access.redhat.com/documentation/en/red-hat-enterprise-linux-openstack-platform/version-7/networking-guide#sec-planning-ip
Comment 7 Dan Macpherson 2016-01-26 19:56:25 EST
Sorry for the delay. Yep, sounds good to me.
Comment 12 Martin Lopes 2016-11-08 00:09:06 EST
Marking as verified, as per comment 7.

Note You need to log in before you can comment on or make changes to this bug.